KhmerRenderer (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.complexscripts.scripts

## Class KhmerRenderer

- java.lang.Object
- - org.apache.fop.complexscripts.scripts.KhmerRenderer

-     public class KhmerRenderer
      extends java.lang.Object

  UnicodeRender Class. author huot.pengleng simple classes, they are used in the state table (in this file) to control the length of a syllable they are also used to know where a character should be placed (location in reference to the base character) and also to know if a character, when independently displayed, should be displayed with a dotted-circle to indicate error in syllable construction Character class tables xx character does not combine into syllable, such as numbers, puntuation marks, non-Khmer signs... sa Sign placed above the base sp Sign placed after the base c1 Consonant of type 1 or independent vowel (independent vowels behave as type 1 consonants) c2 Consonant of type 2 (only RO) c3 Consonant of type 3 rb Khmer sign robat u17CC. combining mark for subscript consonants cd Consonant-shifter dl Dependent vowel placed before the base (left of the base) db Dependent vowel placed below the base da Dependent vowel placed above the base dr Dependent vowel placed behind the base (right of the base) co Khmer combining mark COENG u17D2, combines with the consonant or independent vowel following it to create a subscript consonant or independent vowel va Khmer split vowel in wich the first part is before the base and the second one above the base vr Khmer split vowel in wich the first part is before the base and the second one behind (right of) the base

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KhmerRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `render(java.lang.String strInput)` Re-order Khmer unicode for display with Khmer.ttf file on Android.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KhmerRenderer

          public KhmerRenderer()

  - ### Method Detail

    - #### render

          public java.lang.String render(java.lang.String strInput)

      Re-order Khmer unicode for display with Khmer.ttf file on Android.
      Parameters:
        `strInput` - Khmer unicode string.
      Returns:
        String after render.

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.